## spamassassin 3.4.6

=== masses/Makefile ===
CC=		gcc
CFLAGS=		-g -O2 -Wall 
LDFLAGS=	-lm

PGAPACK=	/local/pgapack-1.0.0.1
#PGAPACKLIBDIR=  $(PGAPACK)/lib/linux    # linux
PGAPACKLIBDIR=  $(PGAPACK)/lib/sun4     # solaris

# What rule scoreset are we using?
include config

# what rules directory are we reading rules from?
RULES=          ../rules

#### Should be no need to modify below this line

all: perceptron

perceptron: perceptron.o
	$(CC) -o perceptron perceptron.o $(LDFLAGS)

perceptron.o: tmp/rules_${SCORESET}.pl tmp/tests.h tmp/scores.h
	$(CC) $(CFLAGS) -c -o perceptron.o perceptron.c

garescorer: tmp/rules_${SCORESET}.pl tmp/tests.h tmp/scores.h garescorer.c
	$(CC) $(CFLAGS) -DWL=2 -DOPTIMIZE -L $(PGAPACKLIBDIR) \
          -I $(PGAPACK)/include garescorer.c -o garescorer -lpgaO $(LDFLAGS)

tmp/rules_${SCORESET}.pl: tmp/.created ../build/parse-rules-for-masses
	perl ../build/parse-rules-for-masses -d $(RULES) -s $(SCORESET) \
            -o tmp/rules_${SCORESET}.pl

tmp/tests.h: tmp/.created tmp/ranges.data logs-to-c
	perl logs-to-c --cffile=$(RULES) --scoreset=$(SCORESET)

tmp/scores.h: tmp/tests.h

tmp/ranges.data: tmp/.created freqs score-ranges-from-freqs
	perl score-ranges-from-freqs $(RULES) $(SCORESET) < freqs

freqs: spam.log ham.log
	perl hit-frequencies -c $(RULES) -x -p -s $(SCORESET) > freqs

badrules: freqs
	perl lint-rules-from-freqs < freqs > badrules

tmp/.created:
	-mkdir tmp
	touch tmp/.created

clean:
	rm -rf *.o perceptron tmp freqs badrules \
          perceptron.scores garescorer garescorer.scores

## spamassassin 3.3.1

=== debian/changelog ===
spamassassin (3.3.1-1.1) stable; urgency=high

  * Fix the RCVD_ILLEGAL_IP rule to no longer consider addresses
    in the 5.0.0.0/8 range as invalid. (Closes: #696144)
  * Remove tests referencing the NJABL blacklist, which shut
    down as of 1 March, 2013. (Closes: #702839)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 12 Mar 2013 08:06:07 -0700

spamassassin (3.3.1-1) unstable; urgency=low

  * New upstream version.
  * Update several patches now that bugfixes have been incorporated
    upstream.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 21 Mar 2010 23:20:31 -0700

spamassassin (3.3.0-2) unstable; urgency=low

  * Document the fact that auto-whitelist is now disabled by default and that
    this may affect upgrades from version <3.3.0 (Closes: #570734)
  * Stop ignoring output from sa-compile and instead use its undocumented
    "quiet" option.  (Closes: #563802)
  * Don't ignore output from /etc/init.d/spamassassin when reloading spamd
    after sa-update downloads updates (Closes: #565227)
  * Run the contents of /etc/spamassassin/sa-update-hooks.d/ using
    run-parts following a successful download of new rules via sa-update
    in the daily cron script. (Closes: #315961, #567205)
  * Fix a problem in debian/rules where manpage generation for sa-awl and
    sa-check_spamd happened in the wrong rule.
  * Bump standards compliance to 3.8.4 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Mar 2010 00:57:24 -0800

spamassassin (3.3.0-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Jan 2010 22:53:12 -0500

spamassassin (3.2.5-7) unstable; urgency=high

  * Fix a bunch of spelling errors in spamassassin documentation.
  * Add ${misc:Depends} to spamassassin Depends.
  * Fix FH_DATE_PAST_20XX so dates in 2010 aren't considered "grossly 
    in the future"

 -- Noah Meyerhans <noahm@debian.org>  Fri, 01 Jan 2010 12:51:32 -0500

spamassassin (3.2.5-6) unstable; urgency=low

  * Fix call to "make install" in debian/rules to handle changes to
    ExtUtils::MakeMaker in perl. (Closes: #549726)
  * Fix Makefile.PL so DESTDIR actually works when provided on the 
    "make install" commandline.
  * Updated to standards compliance 3.8.3, dropping versioned build-dep on
    perl (>= 5.6.0)
  * Switch from dh_clean -k to dh_prep in debian/rules
  * Add versioned build-dep on debhelper 7

 -- Noah Meyerhans <noahm@debian.org>  Tue, 06 Oct 2009 17:51:02 -0400

spamassassin (3.2.5-5) unstable; urgency=low

  * Remove open-whois.org as it is cybersquatted (Closes: #537477)
  * Update debhelper compatibility level to 7.
  * Apply patch to init script to provide a "status" command (Closes: #530896)
  * Fix missing documentation of spamc exit code 98 (Closes: #539148)
  * Backport IPv6 support for the Received header parser (Closes: #510711)
  * Fix additional pod2man errors. We're finally lintian-clean!
  * Update Standards-Version to 3.8.2 (no changes needed).
  * Fix typo in spamd manpage (Closes: #509273)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Aug 2009 12:07:10 -0400

spamassassin (3.2.5-4) unstable; urgency=low

  * "Lintian, you will torment me no more!"
  * Add patches/60_fix-pod.dpatch to fix a whole mess of pod warnings
  * set -e in prerm, preinst, and postinst per policy
  * Add patches/70_fix-whatis.dpatch to fix lintian's complaints about
    missing whatis entries in several manpages.
  * Fix some more man errors by shortening some long lines.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 23 Feb 2009 12:21:57 -0500

spamassassin (3.2.5-3) unstable; urgency=low

  * Add an alternate dependency on libio-zlib-perl (>= 1.04) to ease
    backporting (yeah, should have been done three uploads ago...)
  * Set myself as the Maintainer per Duncan's request.
  * Explicity set a umask (022) in /etc/cron.daily/spamassassin
  * Don't compress GPG.KEY, since we need to use it during postinst and
    it's small.
  * Add Andrew Schulman's fix for sa-learn to properly handle a case
    where an empty folder list is given as a source of training data.
    (Closes: 491159)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 18 Feb 2009 22:15:20 -0500

spamassassin (3.2.5-2) unstable; urgency=low

  [ Duncan Findlay ]
  * Add Recommends: on libio-socket-inet6-perl (Closes: 481696)
  * Ship GPG.KEY and call sa-update --import in the postinst to work
    around broken key. (Closes: 486408)
  * Work around permissions issues from sa-compile and sa-update. (Closes:
    491232, 470834)

  [ Noah Meyerhans ]
  * Remove obsolete DSBL blacklist (Closes: #501122)
  * Bump standards version to 3.8.0.  This should have been done with
    3.2.5-1, since that's where we made the changes to support this
    version.
  * Document the fact that spamhaus and SURBL are free only for smaller
    sites and may require sites exceeding a certain threshold of mail
    volume to pay for service.  (Closes: #505273)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 17 Nov 2008 00:53:11 -0500

spamassassin (3.2.5-1) unstable; urgency=low

  * New upstream version.  (Closes: 482010, 475526)
  * Remove debian/patches/91_pg_8.1_bayes.dpatch, which is now in upstream's
    release.
  * Stop shipping the entire text of the Apache license now that it's in
    common-licenses.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 17 Jun 2008 21:18:16 -0400

spamassassin (3.2.4-2) unstable; urgency=low

  * Fix Vcs-Svn entry in debian/control
  * Add $syslog to Should-Start in the LSB header in spamassassin.init,
    since we'd like spamd to be able to send its logs somewhere.
  * replaced versioned dependency on libio-zlib-perl with dependency on
    perl-modules >= 5.10 (Closes: #479462)
  * Add myself to Uploaders
  * Incorporate a patch from Ubuntu containing upstream's fix to the SQL
    Bayes store on postgresql 8.1 and above

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 May 2008 21:58:00 -0400



=== debian/control ===
Source: spamassassin
Section: mail
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Uploaders: Jesus Climent <jesus.climent@hispalinux.es>
Build-Depends: debhelper (>= 7), perl, libssl-dev,
 libhtml-parser-perl (>= 3.24), libdigest-sha1-perl,
 libnet-dns-perl (>= 0.34), libnetaddr-ip-perl
Standards-Version: 3.8.4
Homepage: http://www.spamassassin.org/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/spamassassin/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/spamassassin/trunk/

Package: spamassassin
Architecture: all
Conflicts: spamass-milter (<< 0.2.0-7), gotmail (<= 0.8.1-1)
Depends: perl (>= 5.8.0), libhtml-parser-perl (>= 3.43),
 libdigest-sha1-perl, libsocket6-perl, libsys-hostname-long-perl,
 libarchive-tar-perl, libwww-perl, libnet-dns-perl (>=
 0.34), perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), libnetaddr-ip-perl,
 ${misc:Depends}
Recommends: spamc (>= 2.30), libmail-spf-perl,
 re2c, libsys-syslog-perl, gnupg, gcc, libc6-dev, make, libio-socket-inet6-perl
Suggests: razor (>= 2.361-2),
 libnet-ident-perl, libio-socket-ssl-perl, libdbi-perl, pyzor,
 libcompress-zlib-perl, libmail-dkim-perl
Provides: libmail-spamassassin-perl
Description: Perl-based spam filter using text analysis
 SpamAssassin is a very powerful and fully configurable spam filter
 with numerous features including automatic white-listing, RBL
 testing, Bayesian analysis, header and body text analysis. It is
 designed to be called from a user's .procmail or .forward file, but
 can also be integrated into a Mail Transport Agent (MTA).
 .
 Included in this package is a daemonized form of spamassassin (spamd)
 which communicates with its client (spamc) via TCP, to reduce the
 overhead of loading perl with each message. To take advantage of
 this, you must install the spamc package.

Package: spamc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: spamassassin
Conflicts: spamassassin (<< 2.30-2)
Description: Client for SpamAssassin spam filtering daemon
 spamc is the client to communicate with spamd, the daemonized form of
 SpamAssassin (see the spamassassin package). It is written in C for
 maximum speed and minimum loading overhead.
 .
 spamc is quite useful for integrating spamassassin into an MTA or
 into a .procmailrc file because of its speed.
 .
 This package is useless unless you have spamassassin installed,
 either on this machine or another local machine (i.e. a mail server).

=== debian/rules ===
#!/usr/bin/make -f

# SpamAssassin debian/rules
# Duncan Findlay

# Based on sample debian/rules by Joey Hess
# And patches from various people (see changelog)

#export DH_VERBOSE=1

# The architecture-dependent portion of this package can be built separately
# (i.e. without building the rest).

# Bad things could probably happen if we run this in parallel
.NOTPARALLEL:

CFLAGS=-O2 -Wall

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# For building both spamc and spamassassin
configure: configure-stamp
configure-stamp:

	dh_testdir

	perl Makefile.PL INSTALLDIRS=vendor \
	 DESTDIR=$(CURDIR)/debian/spamassassin \
	 CONFDIR=/etc/spamassassin \
	 ENABLE_SSL=yes < /dev/null

	touch configure-stamp

build: build-indep build-arch

install: install-indep install-arch

binary: binary-indep binary-arch

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) veryclean

	rm -f spamd/spamc.1p sa-awl.1p sa-check_spamd.1p
	rm -Rf t/log/*
	rm -f debian/semantic.cache

	dh_clean

#debian/po/templates.pot: debian/spamassassin.templates
#	-debconf-updatepo

# Spamassassin ONLY

build-indep: build-indep-stamp
#build-indep-stamp: configure debian/po/templates.pot
build-indep-stamp: configure

	dh_testdir

	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS=""

	pod2man sa-awl.raw sa-awl.1p
	pod2man sa-check_spamd.raw sa-check_spamd.1p

	touch build-arch-stamp

	touch build-indep-stamp


install-indep: install-spamassassin

# SpamAssassin

install-spamassassin: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	$(MAKE) install DESTDIR=`pwd`/debian/spamassassin


#	Get rid of SPAMC stuff.
	rm debian/spamassassin/usr/bin/spamc debian/spamassassin/usr/share/man/man1/spamc.1p


#	Move spamd to /usr/sbin + fix the man file
	sed 's#SPAMD 1#SPAMD 8#' \
	 debian/spamassassin/usr/share/man/man1/spamd.1p \
	 > debian/spamassassin/usr/share/man/man8/spamd.8p
	rm debian/spamassassin/usr/share/man/man1/spamd.1p

	mv debian/spamassassin/usr/bin/spamd debian/spamassassin/usr/sbin/

#	Install Debian specific files
	cp debian/65_debian.cf debian/spamassassin/etc/spamassassin/65_debian.cf

	-rmdir -p debian/spamassassin/usr/lib/perl5

#	dh_installdocs isn't flexible enough to install all the docs to the right place
#	Do it here!
	cp debian/copyright debian/GPG.KEY		debian/spamassassin/usr/share/doc/spamassassin/
	cp debian/spamassassin.README.Debian		debian/spamassassin/usr/share/doc/spamassassin/README.Debian
	cp CREDITS README TRADEMARK UPGRADE USAGE NOTICE 	debian/spamassassin/usr/share/doc/spamassassin/
	cp ldap/README 					debian/spamassassin/usr/share/doc/spamassassin/README.ldap
	cp rules/STATISTICS*.txt 			debian/spamassassin/usr/share/doc/spamassassin/rules/
	cp spamd/README 				debian/spamassassin/usr/share/doc/spamassassin/README.spamd
	cp spamd/README.vpopmail 			debian/spamassassin/usr/share/doc/spamassassin/README.spamd-vpopmail
	cp -r sql/ 					debian/spamassassin/usr/share/doc/spamassassin/

	cp pkgrules/* debian/spamassassin/usr/share/spamassassin

binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
#	dh_installlogcheck -i
	dh_installman -i sa-awl.1p sa-check_spamd.1p
	dh_installdocs -i
	dh_installexamples -i
	dh_installinit -i -- defaults 19 21
	dh_installcron -i
	dh_installchangelogs Changes -i
	dh_link -i
	dh_compress -i -XGPG.KEY
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# spamc ONLY

build-arch: build-arch-stamp
#build-arch-stamp: configure debian/po/templates.pot
build-arch-stamp: configure

	dh_testdir

	-mkdir -p blib/man1

	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="" spamc/spamc

	pod2man spamc/spamc.pod blib/man1/spamc.1p

	touch build-arch-stamp

install-arch: DH_OPTIONS=
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	cp spamc/spamc debian/spamc/usr/bin/spamc

binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
#	dh_installlogcheck -a
	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs Changes -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: build build-indep build-arch clean clean1 binary-indep binary-arch binary install configure install-indep install-indep-docs install-arch

## spamassassin 3.3.2

=== debian/changelog ===
spamassassin (3.3.2-6ubuntu2) saucy; urgency=low

  * debian/tests: Add autopkgtests.

 -- Yolanda Robla <yolanda.robla@canonical.com>  Mon, 03 Jun 2013 09:28:42 +0200

spamassassin (3.3.2-6ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add debian/patches/90_missing_tld to restore missing tld that was
      inadvertently dropped from the list upstream.
    - Add debian/patches/91_no_rfc_ignorant to remove all RFC Ignorant related
      rules due to site shutdown.
    - debian/spamassassin.postinst: change upgrade version check from
      "<= 3.3.2-2" to "< 3.3.2-3~". This is necessary for upgrades from
      precise.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 12 Mar 2013 15:29:35 -0400

spamassassin (3.3.2-6) unstable; urgency=low

  * Remove tests referring to NJABL, which has shut down as of March 1, 2013.
    (Closes: #702839)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 11 Mar 2013 22:33:26 -0700

spamassassin (3.3.2-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add debian/patches/90_missing_tld to restore missing tld that was
      inadvertently dropped from the list upstream.
    - Add debian/patches/91_no_rfc_ignorant to remove all RFC Ignorant related
      rules due to site shutdown.
    - debian/spamassassin.postinst: change upgrade version check from
      "<= 3.3.2-2" to "< 3.3.2-3~". This is necessary for upgrades from
      precise.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 08 Mar 2013 10:38:50 -0500

spamassassin (3.3.2-5) unstable; urgency=low

  * Import upstream's fix for a crash in SIGCHLD handler (Closes: #694504)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 28 Jan 2013 21:51:58 -0800

spamassassin (3.3.2-4ubuntu2) quantal; urgency=low

  * Add debian/patches/91_no_rfc_ignorant to remove all RFC Ignorant related
    rules due to site shutdown (LP: #1064541)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Oct 2012 14:19:32 -0400

spamassassin (3.3.2-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1040274), remaining changes:
    - Add debian/patches/90_missing_tld to restore missing tld that was
      inadvertently dropped from the list upstream
  * debian/spamassassin.postinst: change upgrade version check from
    "<= 3.3.2-2" to "< 3.3.2-3~". This is necessary for upgrades from
    precise.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 12:05:50 +0100

spamassassin (3.3.2-4) unstable; urgency=low

  * Incorporate upstream's fix for a bug where malformed multipart MIME
    messages would bypass URIBL rules. (Closes: #684709)
  * Update standards version to 3.9.3 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 13 Aug 2012 21:37:11 -0700

spamassassin (3.3.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/spamassassin.postinst: Create /var/lib/spamassassin.
    Closes: #684373.

 -- Bart Martens <bartm@debian.org>  Sat, 11 Aug 2012 17:29:42 +0000

spamassassin (3.3.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * move GPG.KEY out of /usr/share/doc per §12.3(Closes: #683431)

 -- Shawn Landden <shawnlandden@gmail.com>  Sat, 04 Aug 2012 16:20:46 +0000

spamassassin (3.3.2-3) unstable; urgency=low

  * Run sa-update and sa-compile as a non-root user. 
    (Closes: 623861, 504154)
  * Store the default gpg keyring in /var/lib/spamassassin
  * Pod cleanup (Closes: 521064)
  * Note sa-check_spamd's incompatibility with Nagios EPM (Closes: 598573)
  * Adjust perms on /var/lib/spamassassin/compiled after running sa-compile 
    in the cron.daily, not on all of /var/lib/spamassassin
  * Set CFLAGS and LDFLAGS using dpkg-buildflags (Closes: 674016)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 14 Jun 2012 23:00:01 -0700

spamassassin (3.3.2-2ubuntu1) precise; urgency=low

  * Add debian/patches/90_missing_tld to restore missing tld that was
    inadvertently dropped from the list upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Mar 2012 01:56:22 -0400

spamassassin (3.3.2-2) unstable; urgency=low

  * Remove dependencies on libdigest-sha1-perl, since it's being 
    removed from Debian. (Closes: #629612)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 18 Aug 2011 17:07:05 -0700

spamassassin (3.3.2-1) unstable; urgency=low

  * New upstream rc release. (Closes: 615590, 626191, 630327, 626751, 631583)
  * Bump standards version to 3.9.2 (no changes)
  * Add a README.source indicating that our orig.tar.gz differs from
    upstream in that we need to delete their debian/ subdirectory.
  * Delete patches that have been incorporated upstream.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 14 May 2011 12:06:12 -0700

spamassassin (3.3.1-2) unstable; urgency=low

  * Disable SSLv2 support due to its removal from OpenSSL (Closes: 622053)
  * Apply a patch from Dominic Hargreaves <dom@earth.li> to register
    spamassassin for the perl-major-upgrade trigger (Closes: 619817)
  * Bump standards version to 3.9.1.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 10 Apr 2011 20:58:34 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: spamassassin
 Section: mail
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Uploaders: Jesus Climent <jesus.climent@hispalinux.es>
 Build-Depends: debhelper (>= 7), perl, libssl-dev,
- libhtml-parser-perl (>= 3.24), libdigest-sha1-perl,
- libnet-dns-perl (>= 0.34), libnetaddr-ip-perl
-Standards-Version: 3.8.4
+ libhtml-parser-perl (>= 3.24), libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
+ hardening-wrapper
+Standards-Version: 3.9.3
 Homepage: http://www.spamassassin.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/spamassassin/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/spamassassin/trunk/
+XS-Testsuite: autopkgtest
 
 Package: spamassassin
 Architecture: all
 Conflicts: spamass-milter (<< 0.2.0-7), gotmail (<= 0.8.1-1)
 Depends: perl (>= 5.8.0), libhtml-parser-perl (>= 3.43),
- libdigest-sha1-perl, libsocket6-perl, libsys-hostname-long-perl,
- libarchive-tar-perl, libwww-perl, libnet-dns-perl (>=
- 0.34), perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), libnetaddr-ip-perl,
+ libsocket6-perl, libsys-hostname-long-perl, libarchive-tar-perl, 
+ libwww-perl, libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
+ perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), adduser,
  ${misc:Depends}
 Recommends: spamc (>= 2.30), libmail-spf-perl,
  re2c, libsys-syslog-perl, gnupg, gcc, libc6-dev, make, libio-socket-inet6-perl

=== debian/tests/control ===
Tests: spamassassin_nospam spamassassin_spam daemon
Depends: spamassassin, procps
Restrictions: needs-root

## spamassassin 3.4.0

=== debian/changelog ===
spamassassin (3.4.0-1ubuntu1) trusty; urgency=medium

  * Add missing python test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Feb 2014 15:55:34 +0100

spamassassin (3.4.0-1) unstable; urgency=low

  * New upstream version! (Closes: 738963, 738872, 738867)
  * Scrub the environment when switching to the debian-spamd user in
    postinst and cron.daily. (Closes: 738951)
  * Enhancements to postinst to better manage ownership of
    /var/lib/spamassassin, via Iain Lane <iain.lane@canonical.com>
    (Closes: 738974)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 14 Feb 2014 22:45:15 -0800

spamassassin (3.3.2-8) unstable; urgency=low

  * Split sa-compile into a separate package. (Closes: 455084)
  * Return an lsb-compliant exit code from /etc/init.d/spamassassin status 
    even if we're disabled in /etc/default/spamassassin. (Closes: 716691)
  * Remove Jesus Climent <jesus.climent@hispalinux.es> from Uploaders.
  * Bump standards version to 3.9.5 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 09 Feb 2014 15:44:35 -0800

spamassassin (3.3.2-7) unstable; urgency=low

  * Incorporate upstream's fix for syntax warnings when running
    under perl 5.18 (Closes: #721565)
  * Bump standards version to 3.9.4 (no changes)
  * Incorporate Ubuntu's dep-8 autopkgtests. (Closes: 710881)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 22 Sep 2013 14:44:37 -0700

spamassassin (3.3.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD failure":
    add patch 97_bug720499-pod-5.18 from Damyan Ivanov: fix POD errors with
    perl 5.18
    (Closes: #720499)

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Aug 2013 17:48:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
-Uploaders: Jesus Climent <jesus.climent@hispalinux.es>
 Build-Depends: debhelper (>= 7), perl, libssl-dev,
  libhtml-parser-perl (>= 3.24), libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
  hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.spamassassin.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/spamassassin/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/spamassassin/trunk/
@@ -20,11 +19,10 @@
  libsocket6-perl, libsys-hostname-long-perl, libarchive-tar-perl, 
  libwww-perl, libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
  perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), adduser,
- ${misc:Depends}
-Recommends: spamc (>= 2.30), libmail-spf-perl,
- re2c, libsys-syslog-perl, gnupg, gcc, libc6-dev, make, libio-socket-inet6-perl
-Suggests: razor (>= 2.361-2),
- libnet-ident-perl, libio-socket-ssl-perl, libdbi-perl, pyzor,
+ libwww-perl | curl | w3m, ${misc:Depends}
+Recommends: spamc (>= 2.30), sa-compile, libmail-spf-perl,
+ libsys-syslog-perl, gnupg, libio-socket-inet6-perl
+Suggests: razor (>= 2.361-2), libio-socket-ssl-perl, libdbi-perl, pyzor,
  libcompress-zlib-perl, libmail-dkim-perl
 Provides: libmail-spamassassin-perl
 Description: Perl-based spam filter using text analysis
@@ -55,3 +53,12 @@
  This package is useless unless you have spamassassin installed,
  either on this machine or another local machine (i.e. a mail server).
 
+Package: sa-compile
+Architecture: all
+Enhances: spamassassin
+Depends: spamassassin (>= 3.3.2-8), re2c, gcc, libc6-dev, make, ${misc:Depends}
+Conflicts: spamassassin (<= 3.3.2-7)
+Description: Tools for compiling SpamAssassin rules into C
+ sa-compile uses "re2c" to compile the site-wide parts of the
+ SpamAssassin ruleset into C code for more efficient processing by
+ spamd or spamassassin.

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,16 @@
 
 #export DH_VERBOSE=1
 
+# enable hardening-wrapper when building spamc
+export DEB_BUILD_HARDENING=1
+
 # The architecture-dependent portion of this package can be built separately
 # (i.e. without building the rest).
 
 # Bad things could probably happen if we run this in parallel
 .NOTPARALLEL:
 
-CFLAGS=-O2 -Wall
+CFLAGS=-g -O2
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -67,7 +70,7 @@
 
 	dh_testdir
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS=""
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)"
 
 	pod2man sa-awl.raw sa-awl.1p
 	pod2man sa-check_spamd.raw sa-check_spamd.1p
@@ -92,7 +95,12 @@
 
 #	Get rid of SPAMC stuff.
 	rm debian/spamassassin/usr/bin/spamc debian/spamassassin/usr/share/man/man1/spamc.1p
+#	...and sa-compile
+	rm debian/spamassassin/usr/bin/sa-compile debian/spamassassin/usr/share/man/man1/sa-compile.1p
 
+	dh_install -psa-compile sa-compile /usr/bin
+	install -o root -g root -m664 debian/sa-compile.pre debian/sa-compile/etc/spamassassin
+	dh_installman -psa-compile
 
 #	Move spamd to /usr/sbin + fix the man file
 	sed 's#SPAMD 1#SPAMD 8#' \
@@ -105,26 +113,17 @@
 #	Install Debian specific files
 	cp debian/65_debian.cf debian/spamassassin/etc/spamassassin/65_debian.cf
 
+	install -o root -g root -m644 debian/GPG.KEY debian/spamassassin/usr/share/spamassassin/GPG.KEY
+
 	-rmdir -p debian/spamassassin/usr/lib/perl5
 
-#	dh_installdocs isn't flexible enough to install all the docs to the right place
-#	Do it here!
-	cp debian/copyright debian/GPG.KEY		debian/spamassassin/usr/share/doc/spamassassin/
-	cp debian/spamassassin.README.Debian		debian/spamassassin/usr/share/doc/spamassassin/README.Debian
-	cp CREDITS README TRADEMARK UPGRADE USAGE NOTICE 	debian/spamassassin/usr/share/doc/spamassassin/
-	cp ldap/README 					debian/spamassassin/usr/share/doc/spamassassin/README.ldap
-	cp rules/STATISTICS*.txt 			debian/spamassassin/usr/share/doc/spamassassin/rules/
-	cp spamd/README 				debian/spamassassin/usr/share/doc/spamassassin/README.spamd
-	cp spamd/README.vpopmail 			debian/spamassassin/usr/share/doc/spamassassin/README.spamd-vpopmail
-	cp -r sql/ 					debian/spamassassin/usr/share/doc/spamassassin/
-
+	cp ldap/README debian/spamassassin/usr/share/doc/spamassassin/README.ldap
+	cp spamd/README debian/spamassassin/usr/share/doc/spamassassin/README.spamd
 	cp pkgrules/* debian/spamassassin/usr/share/spamassassin
 
 binary-indep: build-indep install-indep
 	dh_testdir -i
 	dh_testroot -i
-#	dh_installdebconf -i
-#	dh_installlogcheck -i
 	dh_installman -i sa-awl.1p sa-check_spamd.1p
 	dh_installdocs -i
 	dh_installexamples -i
@@ -150,7 +149,7 @@
 
 	-mkdir -p blib/man1
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="" spamc/spamc
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)" spamc/spamc
 
 	pod2man spamc/spamc.pod blib/man1/spamc.1p
 
@@ -168,7 +167,6 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-#	dh_installlogcheck -a
 	dh_installdocs -a
 	dh_installman -a
 	dh_installchangelogs Changes -a

=== debian/tests/control ===
Tests: spamassassin.nospam spamassassin.spam daemon
Depends: spamassassin, procps, python
Restrictions: needs-root

## spamassassin 3.4.1

=== debian/changelog ===
spamassassin (3.4.1-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 05 May 2017 22:02:12 -0700

spamassassin (3.4.1-6) unstable; urgency=medium

  * Import upstream fix for spamassassin bug 7226: Enhance whitelist_from_dkim
    to let it accept signing subdomains
  * Import upstream fix for spamassassin bug 7212: Warning of uninitialized
    value in
    Mail::SpamAssassin::PerMsgStatus::get_names_of_tests_hit_with_scores()
  * Add libgeo-ip-perl to Suggests for
    Mail::SpamAssassin::Plugin::URILocalBL (Closes: #841960)
  * Add libnet-patricia-perl to Suggests
  * Documentation updates
  * Promote libmail-dkim-perl to Depends (Closes: #675540)
  * Add missing dependency on lsb-base (>= 3.0-6)
  * Correct an error in debian/watch
  * Fix an error in -stamp file management in debian/rules.
  * Pass CPPFLAGS to gcc when building spamc
  * Allow building against OpenSSL 1.1.0 (Closes: #828552)
  * Acknowledge 3.4.1-5.1 NMU (Closes: #839704)
  * Support passing http_proxy to sa-update if set (Closes: #805009).
  * Run test suite during build (Closes: #784023).
  * Update to debhelper compatibility version 9

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Oct 2016 09:39:27 -0700

spamassassin (3.4.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix uninitialized values in URIDNSBL.pm with Net::DNS 1.01
    (Closes: #760277)

 -- Peter Colberg <peter@colberg.org>  Thu, 29 Sep 2016 23:04:25 -0400

spamassassin (3.4.1-5) unstable; urgency=medium

  * Fix "FTBFS with '.' removed from perl's @INC" with patch from
    Dominic Hargreaves <dom@earth.li> (Closes: #835494)
  * Fix "fails to install: error: gpg required but not found!" by
    making gpg usage optional. (Closes: #831872)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 29 Aug 2016 14:14:31 -0700

spamassassin (3.4.1-4) unstable; urgency=medium

  * Import upstream fix for DnsResolver.pm regression. (Closes: #821385)
  * Bump standards version to 3.9.8

 -- Noah Meyerhans <noahm@debian.org>  Fri, 22 Apr 2016 10:35:05 -0700

spamassassin (3.4.1-3) unstable; urgency=medium

  * Don't try to reload the spamd configuring in cron.daily if spamd
    isn't actually running. (Closes: #774380)
  * Add libhttp-date-perl to spamassassin's Depends. (Closes: #801472)
  * Disable SSLv3 support for network communication between spamc and
    spamd and let IO::Socket::SSL choose the TLS version.
  * Fix debian/watch to not pick up rules archive updates.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 08 Nov 2015 16:12:40 -0800

spamassassin (3.4.1-2) unstable; urgency=medium

  * Clean up a bunch of dependencies; drop versioned deps going back
    to old-oldstable and remove dependency on perl-modules.
    (Closes: #788073)
  * POD documentation fixes.
  * Suggest libencode-detect-perl (Closes: #563293)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 08 Jun 2015 10:16:00 -0700

spamassassin (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Wed, 29 Apr 2015 22:09:45 -0700

spamassassin (3.4.0-6) unstable; urgency=medium

  * Remove references to ahbl.org DNSBL, which has ceased operation.
    (Closes: #774768)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 31 Jan 2015 10:53:22 -0800

spamassassin (3.4.0-5) unstable; urgency=medium

  * Import upstream fix for perl_version warnings (Closes: 771408)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 29 Nov 2014 11:48:48 -0800

spamassassin (3.4.0-4) unstable; urgency=low

  * Improve detection of Net::DNS versions. (Closes: 766718)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Nov 2014 16:59:09 -0800

spamassassin (3.4.0-3) unstable; urgency=low

  * Fix regression that caused the --quiet option to be dropped
    from sa-compile in 3.4.0-2. (Closes: 756402)
  * Update comments in /etc/default/spamassassin to clarify
    systemd integration with spamd (Closes: 764438)
  * Fix spamassassin's handling of the perl-major-upgrade trigger to
    ensure that spamd is restarted upon perl upgrade.
  * Fix the init script such that 'restart' and 'stop' aren't broken if
    the perl binary is replaced on the filesystem. (Closes: 759652)
  * Fix missing python dependency for autopkgtests (Closes: 740171)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 13 Oct 2014 20:12:03 -0700

spamassassin (3.4.0-2) unstable; urgency=low

  * Install a systemd unit file. (Closes: 716887)
  * Use env+start-stop-daemon instead of su in cron jobs.
  * Skip the random pause in cron.daily if running interactively.
  * Apply upstream patch to support new Net::DNS interface.
    (Closes: 752542)
  * Use dpkg-buildflags instead of the deprecated hardening-wrapper

 -- Noah Meyerhans <noahm@debian.org>  Tue, 24 Jun 2014 23:44:30 -0700

=== debian/control ===
Source: spamassassin
Section: mail
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper, perl, libssl-dev, libhtml-parser-perl, 
 libnet-dns-perl, libnetaddr-ip-perl, dh-systemd, libberkeleydb-perl, netbase
Standards-Version: 3.9.8
Homepage: http://www.spamassassin.org/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/spamassassin
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/spamassassin
XS-Testsuite: autopkgtest

Package: spamassassin
Architecture: all
Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
 libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
 libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
 lsb-base (>= 3.0-6), libwww-perl | curl | w3m, ${misc:Depends}
Recommends: spamc, sa-compile, libmail-spf-perl,
 libsys-syslog-perl, gnupg, libio-socket-inet6-perl
Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
 libcompress-zlib-perl, libencode-detect-perl,
 libgeo-ip-perl, libnet-patricia-perl
Provides: libmail-spamassassin-perl
Description: Perl-based spam filter using text analysis
 SpamAssassin is a very powerful and fully configurable spam filter
 with numerous features including automatic white-listing, RBL
 testing, Bayesian analysis, header and body text analysis. It is
 designed to be called from a user's .procmail or .forward file, but
 can also be integrated into a Mail Transport Agent (MTA).
 .
 Included in this package is a daemonized form of spamassassin (spamd)
 which communicates with its client (spamc) via TCP, to reduce the
 overhead of loading perl with each message. To take advantage of
 this, you must install the spamc package.

Package: spamc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: spamassassin
Description: Client for SpamAssassin spam filtering daemon
 spamc is the client to communicate with spamd, the daemonized form of
 SpamAssassin (see the spamassassin package). It is written in C for
 maximum speed and minimum loading overhead.
 .
 spamc is quite useful for integrating spamassassin into an MTA or
 into a .procmailrc file because of its speed.
 .
 This package is useless unless you have spamassassin installed,
 either on this machine or another local machine (i.e. a mail server).

Package: sa-compile
Architecture: all
Enhances: spamassassin
Depends: spamassassin, re2c, gcc, libc6-dev, make, ${misc:Depends}
Description: Tools for compiling SpamAssassin rules into C
 sa-compile uses "re2c" to compile the site-wide parts of the
 SpamAssassin ruleset into C code for more efficient processing by
 spamd or spamassassin.

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,14 @@
 
 #export DH_VERBOSE=1
 
-# enable hardening-wrapper when building spamc
-export DEB_BUILD_HARDENING=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # The architecture-dependent portion of this package can be built separately
 # (i.e. without building the rest).
 
 # Bad things could probably happen if we run this in parallel
 .NOTPARALLEL:
-
-CFLAGS=-g -O2
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -34,7 +32,7 @@
 
 	perl Makefile.PL INSTALLDIRS=vendor \
 	 DESTDIR=$(CURDIR)/debian/spamassassin \
-	 CONFDIR=/etc/spamassassin \
+	 CONFDIR=/etc/spamassassin LDFLAGS="$(LDFLAGS)" \
 	 ENABLE_SSL=yes < /dev/null
 
 	touch configure-stamp
@@ -66,19 +64,20 @@
 
 build-indep: build-indep-stamp
 #build-indep-stamp: configure debian/po/templates.pot
-build-indep-stamp: configure
+build-indep-stamp: configure-stamp
 
 	dh_testdir
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)"
+	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)" CFCCFLAGS="" CFLIBS=""
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) test
+endif
+
 
 	pod2man sa-awl.raw sa-awl.1p
 	pod2man sa-check_spamd.raw sa-check_spamd.1p
-
-	touch build-arch-stamp
-
 	touch build-indep-stamp
-
 
 install-indep: install-spamassassin
 
@@ -126,6 +125,7 @@
 	dh_testroot -i
 	dh_installman -i sa-awl.1p sa-check_spamd.1p
 	dh_installdocs -i
+	dh_systemd_enable --no-enable
 	dh_installexamples -i
 	dh_installinit -i -- defaults 19 21
 	dh_installcron -i
@@ -149,7 +149,8 @@
 
 	-mkdir -p blib/man1
 
-	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)" spamc/spamc
+	$(MAKE) CFCCFLAGS="" CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
+	  CFLIBS="" spamc/spamc
 
 	pod2man spamc/spamc.pod blib/man1/spamc.1p

=== debian/watch ===
version=2

http://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-([[:digit:]].*)\.tar\.gz \
    debian uupdate

## spamassassin 3.4.2

=== debian/changelog ===
spamassassin (3.4.2-0+deb8u3) jessie-security; urgency=medium

  * CVE-2020-1930, CVE-2020-1931: arbitrary code execution via maliciously
    crafted rule files.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 17 Feb 2020 11:21:08 +0100

spamassassin (3.4.2-0+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2018-11805: remote code execution via update files downloaded from
    malicious channels.
  * CVE-2019-12420: denial of service via crafted messages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 16 Dec 2019 12:15:38 +0100

spamassassin (3.4.2-0+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * New upstream version to fix several security issues and critical bugs:
    - CVE-2017-15705: Denial of service issue in which certain unclosed
      tags in emails cause markup to be handled incorrectly leading to
      scan timeouts. (Closes: 908969)
    - CVE-2016-1238: Unsafe usage of "." in @INC in a configuration
      script.
    - CVE-2018-11780: potential Remote Code Execution bug with the
      PDFInfo plugin. (Closes: 908970)
    - CVE-2018-11781: local user code injection in the meta rule syntax.
      (Closes: 908971)
    - BayesStore: bayes_expire table grows, remove_running_expire_tok not
      called (Closes: 883775)
    - Fix use of uninitialized variable warning in PDFInfo.pm
      (Closes: 865924)
    - Fix "failed to parse plugin" error in
      Mail::SpamAssassin::Plugin::URILocalBL (Closes: 891041)
    - SSLv3 support removed from spamc
  * Don't recursively chown /var/lib/spamassassin during postinst.
    (Closes: 889501)
  * Update SysV init script to cope with upstream's change to $0.
  * Run test suite during build (Closes: #784023).
  * Refresh patches
  * Removed patches merged upstream:
    - 30_edit_README
    - 35_bug752542-libnet-dns-perl.patch
    - 97_bug720499-pod-5.18
    - bug_771408_perl_version
    - bug_774768_disable_ahbl
  * Added patch to silence extra debugging messages (Closes: #913571)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 30 Oct 2018 13:28:29 -0400

=== debian/control ===
Source: spamassassin
Section: mail
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper (>= 7), perl, libssl-dev,
 libhtml-parser-perl (>= 3.24), libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
 dh-systemd, libberkeleydb-perl, netbase
Standards-Version: 3.9.6
Homepage: http://www.spamassassin.org/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/spamassassin/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/spamassassin/trunk/
XS-Testsuite: autopkgtest

Package: spamassassin
Architecture: all
Conflicts: spamass-milter (<< 0.2.0-7), gotmail (<= 0.8.1-1)
Depends: perl (>= 5.8.0), libhtml-parser-perl (>= 3.43),
 libsocket6-perl, libsys-hostname-long-perl, libarchive-tar-perl, 
 libwww-perl, libnet-dns-perl (>= 0.34), libnetaddr-ip-perl,
 perl-modules (>= 5.10) | libio-zlib-perl (>= 1.04), adduser,
 libwww-perl | curl | w3m, ${misc:Depends}
Recommends: spamc (>= 2.30), sa-compile, libmail-spf-perl,
 libsys-syslog-perl, gnupg, libio-socket-inet6-perl
Suggests: razor (>= 2.361-2), libio-socket-ssl-perl, libdbi-perl, pyzor,
 libcompress-zlib-perl, libmail-dkim-perl
Provides: libmail-spamassassin-perl
Description: Perl-based spam filter using text analysis
 SpamAssassin is a very powerful and fully configurable spam filter
 with numerous features including automatic white-listing, RBL
 testing, Bayesian analysis, header and body text analysis. It is
 designed to be called from a user's .procmail or .forward file, but
 can also be integrated into a Mail Transport Agent (MTA).
 .
 Included in this package is a daemonized form of spamassassin (spamd)
 which communicates with its client (spamc) via TCP, to reduce the
 overhead of loading perl with each message. To take advantage of
 this, you must install the spamc package.

Package: spamc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: spamassassin
Conflicts: spamassassin (<< 2.30-2)
Description: Client for SpamAssassin spam filtering daemon
 spamc is the client to communicate with spamd, the daemonized form of
 SpamAssassin (see the spamassassin package). It is written in C for
 maximum speed and minimum loading overhead.
 .
 spamc is quite useful for integrating spamassassin into an MTA or
 into a .procmailrc file because of its speed.
 .
 This package is useless unless you have spamassassin installed,
 either on this machine or another local machine (i.e. a mail server).

Package: sa-compile
Architecture: all
Enhances: spamassassin
Depends: spamassassin (>= 3.3.2-8), re2c, gcc, libc6-dev, make, ${misc:Depends}
Conflicts: spamassassin (<= 3.3.2-7)
Description: Tools for compiling SpamAssassin rules into C
 sa-compile uses "re2c" to compile the site-wide parts of the
 SpamAssassin ruleset into C code for more efficient processing by
 spamd or spamassassin.

=== debian/rules ===
--- 
+++ 
@@ -64,11 +64,11 @@
 
 build-indep: build-indep-stamp
 #build-indep-stamp: configure debian/po/templates.pot
-build-indep-stamp: configure-stamp
+build-indep-stamp: configure
 
 	dh_testdir
 
-	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)" CFCCFLAGS="" CFLIBS=""
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)"
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) test
@@ -77,7 +77,11 @@
 
 	pod2man sa-awl.raw sa-awl.1p
 	pod2man sa-check_spamd.raw sa-check_spamd.1p
+
+	touch build-arch-stamp
+
 	touch build-indep-stamp
+
 
 install-indep: install-spamassassin
 
@@ -149,8 +153,7 @@
 
 	-mkdir -p blib/man1
 
-	$(MAKE) CFCCFLAGS="" CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
-	  CFLIBS="" spamc/spamc
+	$(MAKE) CFOPTIMIZE="$(CFLAGS)" CFCCFLAGS="" CFLIBS="" CFLDFLAGS="$(LDFLAGS)" spamc/spamc
 
 	pod2man spamc/spamc.pod blib/man1/spamc.1p

=== debian/watch ===
version=2

http://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-(.*)\.tar\.gz \
    debian uupdate
